<?php
require_once('simplepie.inc');
require_once('simplepie_yahoo_weather.inc');

//
// Yahoo Wetter Abfrage mit SimplePie - Weather Forecast
// Datei: forecast-xml.php
// Datum: 28.08.12


// SimplePie Objekt initialisieren
$feed = new SimplePie();
 
// Yahoo Wetter Feed parsen
// Ort-ID und Einheiten
$feed->set_feed_url('http://weather.yahooapis.com/forecastrss?w=12893459&u=c');

 
// Ueberschreiben von SimplePie_Item Klasse
$feed->set_item_class('SimplePie_Item_YWeather');
 
// Initialisierung
$feed->init();
 
// Item von Feed
$weather = $feed->get_item(0);



// Wetterdaten als XML ausgeben - Forecast
//XML Header
print '<?xml version="1.0" encoding="ISO-8859-1" ?>' . "\n";
print '<weather>' . "\n";
print '<place>';
print 'Forecast for '.$weather->get_city();
print'</place>'. "\n";

$forecast=$weather->get_forecast(0);
print '<forecast_today>' . "\n";
print '<forecast_today_day>';
print $forecast->get_date(l);
print'</forecast_today_day>' . "\n";
print '<forecast_today_cond>';
print $forecast->get_label();
print'</forecast_today_cond>' . "\n";
print '<forecast_today_min>';
print $forecast->get_low();
print'</forecast_today_min>' . "\n";
print '<forecast_today_max>';
print $forecast->get_high();
print'</forecast_today_max>' . "\n";
print '</forecast_today>' . "\n";

$forecast=$weather->get_forecast(1);
print '<forecast_tomorrow>' . "\n";
print '<forecast_tomorrow_day>';
print $forecast->get_date(l);
print'</forecast_tomorrow_day>' . "\n";
print '<forecast_tomorrow_cond>';
print $forecast->get_label();
print'</forecast_tomorrow_cond>' . "\n";
print '<forecast_tomorrow_min>';
print $forecast->get_low();
print'</forecast_tomorrow_min>' . "\n";
print '<forecast_tomorrow_max>';
print $forecast->get_high();
print'</forecast_tomorrow_max>' . "\n";
print '</forecast_tomorrow>' . "\n";

print '</weather>';



?>
