<?php
require_once('simplepie.inc');
require_once('simplepie_yahoo_weather.inc');

//
// Yahoo Wetter Abfrage mit SimplePie
// Datei: weather-xml.php
// Datum: 28.08.2012/TB

 
// SimplePie Objekt initialisieren
$feed = new SimplePie();
 
// Yahoo Wetter Feed parsen
// Ort-ID und Einheiten
$feed->set_feed_url('http://weather.yahooapis.com/forecastrss?w=12893459&u=c');

 
// Ueberschreiben von SimplePie_Item Klasse
$feed->set_item_class('SimplePie_Item_YWeather');
 
// Initialisierung
$feed->init();
 
// Item von Feed
$weather = $feed->get_item(0);




// Wetterdaten als XML ausgeben
//XML Header
print '<?xml version="1.0" encoding="ISO-8859-1" ?>' . "\n";
print '<weather>' . "\n";
print '<place>';
print $weather->get_city();
print'</place>'. "\n";

print '<weather_now>' . "\n";

print '<weather_now_cond>';
print $weather->get_condition();
print'</weather_now_cond>' . "\n";

print '<weather_now_temp>';
print $weather->get_temperature();
print ' ';
print $weather->get_units_temp();
print'</weather_now_temp>' . "\n";

print '<weather_now_hum>';
print $weather->get_humidity();
print ' %';
print'</weather_now_hum>' . "\n";

print'</weather_now>' . "\n";


print '</weather>';

?>
