// Einlesen von Analogwert von Temperatursensor LM35
// Datei: buch3_kap4_analog_lm35.ino
// Datum: 04.11.2012


float tempC;
float tempF;
int tempPin = 0; // Port A0

void setup()
{
  // Serielle Schnittstelle initialisieren
  Serial.begin(9600); 
}

void loop()
{
  tempC = analogRead(tempPin);
  // Wert konvertieren,
  tempC = (5.0 * tempC * 100.0)/1024.0;
  // Wert an serielle Schnittstelle senden
  // Ausgabe als Grad Celsius
  Serial.print("Grad C: ");
  Serial.println(tempC);
  // Umrechnung Grad C/Grad F
  tempF=(tempC * 9 / 5) + 32;
  // Ausgabe als Grad Fahrenheit
  Serial.print("Grad F: ");
  Serial.println(tempF);
  // warten 1 Sekunde
  delay(1000);
}

