// Tasten entprellen mit Debounce
// Datei: buch3_kap4_digital_bounce.ino
// Datum: 13.04.2014


#include <Bounce.h>

#define InpTaster 3
#define OutLED 13

// Bounce-Objekt instanzieren für eine Zeit von 20 Millisekunden
Bounce bouncer = Bounce(InpTaster,20);

void setup() 
{
  pinMode(InpTaster,INPUT); // Eingang setzen
  pinMode(OutLED,OUTPUT); // Ausgang setzen
}

void loop() 
{
  // Debouncer aktualisieren
  bouncer.update();
  // Wert einlesen
  int inpval = bouncer.read();
  
  // LED schalten
  if (inpval == HIGH)
  {
    digitalWrite(OutLED, HIGH); // LED ein
  }
  else
  {
    digitalWrite(OutLED, LOW); // LED aus
  }
}
