// I2C Servo ansteuern-Slave
// Datei: buch3_kap4_i2c_servo_slave.ino
// Datum: 16.06.12


#include <Wire.h>
#include <Servo.h>

int servoval;

// Servoobjekt erstellen
Servo myservo; 

void setup()
{
  // teilnehmen am Bus mit Adresse 4
  Wire.begin(4);
  // falls Daten vom Master
  Wire.onReceive(getData);
  Serial.begin(9600);
  myservo.attach(9);
}

void loop()
{
  delay(100);
}

void getData(int AnzahlBytes)
{
  // Wert einlesen
  int AnalogVal = Wire.read();
  // Analogwert mit Servobereich mappen
 // 0-255 = 0 - 179 Winkelgrad 
  servoval = map(AnalogVal, 0, 254, 0, 179);
  // Servo ansteuern
  myservo.write(servoval);
  // Analogwert an seriellen Port ausgeben
  Serial.println(AnalogVal);
}

