//
// Eingang einlesen und Zustand auf LED ausgeben
// Datei: buch3_kap4_projekt_eingang.ino
// Datum: 06.02.2015


int LEDPin=2;      // Pin für LED
int ButtonPin=3;   // Pin für Drucktaster
int ButtonWert=0;  // Wert von Drucktaster, 0 = nicht gedrückt, 1 = gedrückt

void setup()
{
  // Pin 2 als Ausgang
  pinMode(LEDPin, OUTPUT);
  // Pin 3 als Eingang
  pinMode(ButtonPin, INPUT);  
}

void loop()
{
  // Abfrage Eingang mit Drucktaster
  ButtonWert=digitalRead(ButtonPin);
  // falls Wert = High
  if (ButtonWert == HIGH)
  {
    // dann Ausgang von LED einschalten
    digitalWrite(LEDPin, HIGH);
  }
  else
  {
    // sonst Ausgang von LED aus
    digitalWrite(LEDPin, LOW);
  } 
}

