// RFM12B Sender, 
// Datei: buch3_kap4_rfm12b_sender.ino
// Datum: 09.06.14


#include <JeeLib.h>

#define NodeID 20
#define NetID 100
#define band RF12_433MHZ
//#define freq RF12_868MHZ

// Sensor
int tempPin=0;
int valTemp=0;

typedef struct {
  int temp;
} Payload;

Payload tinytx;

void setup ()
{
  // Serielle Schnittstelle
  Serial.begin(9600);
  Serial.println("Start RF");
  // Initialisierung RF
  rf12_initialize(NodeID, band, NetID);
}
  
void loop ()
{
  // Analogwert lesen
  valTemp = analogRead(tempPin);
  tinytx.temp=valTemp;
  // Daten senden
  rf12_sendNow(0, &tinytx, sizeof tinytx);
  // Daten gesendet
  Serial.println("Daten gesendet");
  delay(10000);
}
