//
// Einlesen des Status eines Ausgangsports
// und Anzeigen des Status auf zusätzlichem Ausgang
// Datei: buch3_kap4_status_ausgang_ausgeben.ino
// Board: Arduino Uno
// Datum: 14.02.2015


int ledPin1 =  13;   // Onboard-LED
int ledPin2 =  2;    // Status-LED   
int val=0;           // Status von Ausgang 13

void setup()
{
  // Ausgang 13 als Ausgangsport
  pinMode(ledPin1, OUTPUT);
  // Ausgang 2 als Statusanzeige von Ausgang 13
  pinMode(ledPin2, OUTPUT);
}

void loop()
{
  // Ausgang 13 auf HIGH
  digitalWrite(ledPin1, HIGH);
  // Status von Ausgang 13 einlesen
  val = digitalRead(ledPin1);
  // Status von Ausgang 13 an Ausgang 2 ausgeben
  digitalWrite(ledPin2, val);
  delay(1000);
  
  // Ausgang 13 auf LOW
  digitalWrite(ledPin1, LOW);
  val = digitalRead(ledPin1);
  digitalWrite(ledPin2, val);
  delay(1000);
}

