//
// Zähler mit 7-Segment-Anzeige
// Datei: buch3_kap7_7seg_ic2_expander.ino
// Datum: 13.12.2014


#include <Wire.h>

// Adresse des I/O-Bausteins
#define expander B00100000

// Bits für Nummern 0-9
//const byte ZahlenBitDef[10] = { 63, 6, 91, 79, 102, 109, 124, 7, 127, 103 };
// Invertiert, da LED Ein = Ausgang LOW
const byte ZahlenBitDefInv[10] = { 192, 249, 164, 176, 153, 146, 131, 248, 128, 152 };

void setup() 
{
  Wire.begin();
}

void loop() 
{
  for (int z = 0; z < 10; z++)  
  {
  // Bytewert von Ziffer
  int bval=ZahlenBitDefInv[z];
  // Ausgabe von Zahl an I/O
  expanderWrite(ZahlenBitDefInv[z]);
  // warten
  delay(1000);
  }
}

void expanderWrite(byte _data ) 
{
  Wire.beginTransmission(expander);
  Wire.write(_data);
  Wire.endTransmission();
}

