// 7-Segment ansteuern 
// Datei: buch3_kap7_ansteuerung_7segment
// Datum: 14.02.15

// Idee von Jeff
// http://totusterra.com

/*
void SetZahl2()
{
  digitalWrite(ledSegA, HIGH);
  digitalWrite(ledSegB, LOW);
  digitalWrite(ledSegC, LOW);
  digitalWrite(ledSegD, HIGH);
  digitalWrite(ledSegE, HIGH);
  digitalWrite(ledSegF, LOW);  
  digitalWrite(ledSegG, HIGH);  
}

*/

void setup()
{
  pinMode(0, OUTPUT);  // Ausgang für Segment a
  pinMode(1, OUTPUT);  // Ausgang für Segment b
  pinMode(2, OUTPUT);  // Ausgang für Segment c 
  pinMode(3, OUTPUT);  // Ausgang für Segment d 
  pinMode(4, OUTPUT);  // Ausgang für Segment e 
  pinMode(5, OUTPUT);  // Ausgang für Segment f 
  pinMode(6, OUTPUT);  // Ausgang für Segment g 
}

// Bits für Nummern 0-9
const byte ZahlenBitDef[10] = { 63, 6, 91, 79, 102, 109, 124, 7, 127, 103 };

void loop()
{
  // Anzeige von Zahl 1
  SegmenteSetzen( ZahlenBitDef[1] );
}

void SegmenteSetzen(byte segmente)
{
  // alle Segmente der LED überprüfen
  for (int segBit = 0; segBit < 7; segBit++)
  {
    int bitVal = bitRead( segmente, segBit );
    // Ausgang von Segment setzten HIGH/LOW
    digitalWrite(segBit, bitVal);
  }
}


