//
// Kompass mit Richtungsanzeige mit Kompass-Sensor HMC6352
// Datei: buch3_kap7_projekt_kompass.ino
// Datum: 15.12.2014

#include <Wire.h>
#include <hmc6352.h>

float winkel;
int w;

// Portdefinitionen
#define LED1 2
#define LED2 3
#define LED3 4
#define LED4 5
#define LED5 6
#define LED6 7
#define LED7 8
#define LED8 9

// HMC6352 Objekt
Hmc6352 hmc6352;
  
void setup()
{ 
 // Ausgänge setzen
 pinMode(LED1, OUTPUT);
 pinMode(LED2, OUTPUT);
 pinMode(LED3, OUTPUT);
 pinMode(LED4, OUTPUT);
 pinMode(LED5, OUTPUT);
 pinMode(LED6, OUTPUT);
 pinMode(LED7, OUTPUT);
 pinMode(LED8, OUTPUT);
 
 // Serieller Port
 Serial.begin(9600);
 delay(100);
 Serial.print("Start Kompass mit HMC6352");
 delay(100);  
}


void loop() 
{ 
  hmc6352.wake();
  winkel = hmc6352.getHeading();
  hmc6352.sleep();
  
  // Winkel als Integer
  w = winkel;
  
  // Ausgabe des Winkels Aktivierung der zugehörigen LED
  
  // D1, 337.5 - 360, 0-22.5
  if (w > 337.5 &&  w < 361)
  {
    digitalWrite(LED1, HIGH);
  }
  else
  {
    digitalWrite(LED1, LOW);
  }
  if (w > 0 &&  w < 22.5)
  {
    digitalWrite(LED1, HIGH);
  }
   else
  {
    digitalWrite(LED1, LOW);
  }
  
  // D2, 22.5-67.5
  if (w > 22.5 &&  w < 67.5)
  {
    digitalWrite(LED2, HIGH);
  }
  else
  {
    digitalWrite(LED2, LOW);
  } 
  
  // D3, 67.5-112.5
  if (w > 67.5 &&  w < 112.5)
  {
    digitalWrite(LED3, HIGH);
  }
  else
  {
    digitalWrite(LED3, LOW);
  }
 
 // D4, 112.5-157.5
  if (w > 112.5 &&  w < 157.5)
  {
    digitalWrite(LED4, HIGH);
  }
  else
  {
    digitalWrite(LED4, LOW);
  }
  
  // D5, 157.5-202.5
  if (w > 157.5 &&  w < 202.5)
  {
    digitalWrite(LED5, HIGH);
  }
  else
  {
    digitalWrite(LED5, LOW);
  }

  // D6, 202.5-247.5
  if (w > 202.5 &&  w < 247.5)
  {
    digitalWrite(LED6, HIGH);
  }
  else
  {
    digitalWrite(LED6, LOW);
  }

  // D7, 247.5-292.5
  if (w > 247.5 &&  w < 292.5)
  {
    digitalWrite(LED7, HIGH);
  }
  else
  {
    digitalWrite(LED7, LOW);
  }

  // D8, 292.5-337.5
  if (w > 292.5 &&  w < 337.5)
  {
    digitalWrite(LED8, HIGH);
  }
  else
  {
    digitalWrite(LED8, LOW);
  }    
  
  // Ausgabe Winkelgrad
  Serial.print("Winkel: ");
  Serial.println(w);
}
