// Serielle Daten sende, Eingänge setzten
// Datei: buch3_kap4_serielle_eingabe_ausgabe.ino
// 11.01.2010

int val = 0; // Variable für digitale Eingangswerte
int empfangeneDaten = 0; // Empfangene Daten auf Empfangsport
int LEDOut = 13; // Port mit LED auf Board
int EinPin = 7;  // Port 7 für Schalter

void setup()
{
  // Port als Ausgang setzen
  pinMode(LEDOut, OUTPUT);
  digitalWrite(LEDOut, LOW);
  // Port als Eingang setzen
  pinMode(EinPin, INPUT);
  
  // Konfiguration Serielle Schnittstelle
  Serial.begin(9600);  // Uebertragungsgeschwindigkeit
}

void loop() 
{
  // Daten von digitalem Eingang einlesen und Status senden
  val=digitalRead(EinPin);
  if (val == HIGH){
    Serial.println("Eingang 1"); 
   }
  else
  {
    Serial.println("Eingang 0");
  }  
  
  // Daten empfangen
  // Serielle Daten sind vorhanden
  if (Serial.available() > 0) {
    // Daten einlesen
    empfangeneDaten = Serial.read();
    Serial.print("Ein: "); 
     Serial.println(empfangeneDaten); 
        
    // Ausgang setzen 1/0, je nach empfangenem Wert
    if (empfangeneDaten == '1') {
      // Ausgabe des empfangenen Wertes
      Serial.println("Ausgang 1"); 
      // LED leuchtet
      digitalWrite(LEDOut, HIGH);
    }
    
    if (empfangeneDaten == '0') {
      // Ausgabe des empfangenen Wertes
      Serial.println("Ausgang 0"); 
      digitalWrite(LEDOut, LOW);
    }
  }
  delay(1000);
}

