// Beispiel für MIDI Library
// Datei: buch3_kap9_example_midi.ino
// Datum: 12.01.15

#include <MIDI.h>

// LED-Pin
#define LED 13 

void setup()
{
  pinMode(LED, OUTPUT);
  // MIDI starten mit Kanal 4
  MIDI.begin(4);
}

void loop()
{
 if (MIDI.read()) {
  // falls Daten, LED EIN
  digitalWrite(LED,HIGH);
  // Ausgabe einer Note auf Kanal 1
  MIDI.sendNoteOn(42,127,1); 
  // warten 1 Sekunde
  delay(1000);
  // Stoppen der Notenausgabe
  MIDI.sendNoteOff(42,0,1);
  // LED AUS
  digitalWrite(LED,LOW);
 }
}

